Get Virtual Accounts
curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/users/{userId}/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/users/{userId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3f70be8e-426f-4e89-b883-9c97a1c334d5",
"status": "Requested",
"currency": "USD",
"createdTimestamp": 1755693297,
"lastUpdatedTimestamp": 1755693297
}
],
"node": {
"previous": null,
"next": null
}
}Virtual Accounts
Get Virtual Accounts
Retrieve virtual accounts for a user
GET
/
v1
/
users
/
{userId}
/
virtual-accounts
Get Virtual Accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the user
Example:
"c06f3427-3bbe-4d70-9a54-28acda267e48"
⌘I